package labtest3;


/**
 * This class encapsulates a <it>RightTriangles</it>. A
 * <it>RightTriangle</it> is a triangle which always includes a 90 angle
 * A <it>RightTriangle</it> can be determined by its opposite edge and adjacent edge.
 * The third edge, hypotenuse edge, can be computed from opposite edge and adjacent edge.
 *
 */
public class RightTriangle {

	private double oppositeEdge;
	private double adjacentEdge;

	private RightTriangle() {
	}

	/**
	 * Creates a new RightTriangle object
	 *
	 * @param oppositeEdge
	 *            opposite edge of the right triangle
	 * @param adjacentEdge
	 *            adjacent edge of the right triangle
	 */
	public RightTriangle(double oppositeEdge, double adjacentEdge) {
		this.oppositeEdge = oppositeEdge;
		this.adjacentEdge = adjacentEdge;
	}

	public double getArea() {
		return (oppositeEdge*adjacentEdge)/2;
	}

	public void prettyPrint() {
		System.out.println("***");
		System.out.println("Here is a report about this right triangle.");
		System.out.println("This object's unique identifier is: "
				+ this.hashCode());
		System.out.println("This oppositeEdge and adjacentEdge valuea are respectively: "
				+ oppositeEdge + " , " + adjacentEdge);
		System.out.println("***!");

	}
}
