package labtest3;


/**
 * This class encapsulates services that are related to <it>RightTriangles</it>. A
 * <it>RightTriangle</it> is a triangle which always includes a 90 angle
 * A <it>RightTriangle</it> can be determined by its opposite edge and adjacent edge.
 * The third edge, hypotenuse edge, can be computed from opposite edge and adjacent edge.
 *
 */
public class RightTriangleServices {

	private RightTriangleServices() {
	}

	/**
	 * This method provides the area of a right triangle,
	 * given the opposite edge and adjacent edge of the right triangle
	 *
	 * @param oppositeEdge
	 * @param adjacentEdge
	 * @return
	 */
	public static double getArea(double oppositeEdge, double adjacentEdge) {
		return (oppositeEdge*adjacentEdge)/2;
	}
}
