package labtest3;


/**
 * This class encapsulates a <it>spheres</it>. A
 * <it>sphere</it> is a perfectly round geometrical object in three-dimensional
 * space, such as the shape of a round ball.
 * A sphere is completely symmetrical around its center, with all points on the
 * surface lying the same distance r from the center point.
 * This distance r is known as the radius of the sphere.
 *
 */
public class Sphere {
	private double radius;

	private Sphere() {
	}

	/**
	 * Creates a new Sphere object
	 *
	 * @param radius
	 *            Radius of the sphere
	 */
	public Sphere(double radius) {
		this.radius = radius;
	}

	public double getVolume() {
		return 1.33*3.14*radius*radius*radius;
	}

	public void prettyPrint() {
		System.out.println("***");
		System.out.println("Here is a report about this sphere.");
		System.out.println("This object's unique identifier is: "
				+ this.hashCode());
		System.out.println("This radius value is: "
				+ radius);
		System.out.println("***!");

	}
}
