package labtest3;


/**
 * This class encapsulates services that are related to <it>spheres</it>. A
 * <it>sphere</it> is a perfectly round geometrical object in three-dimensional
 * space, such as the shape of a round ball.
 * A sphere is completely symmetrical around its center, with all points on the
 * surface lying the same distance r from the center point.
 * This distance r is known as the radius of the sphere.
 *
 */
public class SphereServices {

	private SphereServices() {
	}

	/**
	 * This method provides the volume of a sphere, given the radius of the sphere
	 *
	 * @param radius
	 * @return
	 */
	public static double getVolume(double radius) {
		return 1.33*3.14*radius*radius*radius;
	}
}
